Page MenuHomePhabricator

upgrade: move optimization addition to determineactions()
ClosedPublic

Authored by pulkit on Dec 16 2020, 5:14 AM.

Details

Summary

The documentation of determineactions() mention that it is given a list
returned from findoptimizations() however it was not true before this patch.

The code extending actions with optimizations also mentioned about it that this
should be in determineactions.

So let's do what comments at couple of places say.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 16 2020, 5:14 AM
marmoute accepted this revision.Dec 22 2020, 3:42 AM
pulkit updated this revision to Diff 24544.Dec 30 2020, 5:31 AM
mharbison72 accepted this revision.Jan 12 2021, 6:45 PM
This revision is now accepted and ready to land.Jan 12 2021, 6:45 PM
This revision was automatically updated to reflect the committed changes.